For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Request featuresContact support
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
  • Docs
    • Event types
    • Tariff
  • API Reference
        • GETRetrieve collection of PDP context definitions
        • POSTCreate PDP context definition
        • DELDelete a PDP context definition
        • PATCHUpdate a PDP context definition
        • POSTAdd a new QoS definition for a PDP context definition and RAT type
        • DELDelete limits for pdp_context_definition and rat_type
        • PATCHUpdate the limits of a QoS definition
LogoLogo
Request featuresContact support
API ReferencePdp Context Definitions

Update the limits of a QoS definition

PATCH
https://cdn.emnify.net/api/v1/pdp_context_definition/:pdp_id/qos_definition/:rat_type_id
PATCH
/api/v1/pdp_context_definition/:pdp_id/qos_definition/:rat_type_id
$curl -X PATCH https://cdn.emnify.net/api/v1/pdp_context_definition/pdp_id/qos_definition/rat_type_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "max_bandwidth_dl": 4096,
> "max_bandwidth_ul": 1024
>}'
1{}
You can use this call to update either only the Downlink, Uplink or both pam_limits The following fields can be specified in the request body: - `max_bandwidth_dl`: an unsigned int32 specifying the maximum allowed bandwidth on the downlink in bits per second - `max_bandwidth_ul`: an unsigned int32 specifying the maximum allowed bandwidth on the uplink in bits per second Note that you cannot limit all rat_types, just those that are limitable. Use `GET /api/v1/rat_type?limitable` to retrieve them.
Was this page helpful?
Previous

Delete limits for pdp_context_definition and rat_type

Next

List user accounts

Built with

You can use this call to update either only the Downlink, Uplink or both pam_limits

The following fields can be specified in the request body:

  • max_bandwidth_dl: an unsigned int32 specifying the maximum allowed bandwidth on the downlink in bits per second
  • max_bandwidth_ul: an unsigned int32 specifying the maximum allowed bandwidth on the uplink in bits per second

Note that you cannot limit all rat_types, just those that are limitable. Use GET /api/v1/rat_type?limitable to retrieve them.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the POST request to /api/v1/authenticate.

Path parameters

pdp_idstringRequired
rat_type_idstringRequired

Request

This endpoint expects an object.
max_bandwidth_dlintegerOptional0-4294967295
max_bandwidth_ulintegerOptional0-4294967295

Response

Successful operation

Errors

400
Bad Request Error
403
Forbidden Error